tigase.jaxmpp.core.client

## Interface UserProperties

- All Known Subinterfaces:
    SessionObject
  All Known Implementing Classes:
    AbstractSessionObject, GwtSessionObject, J2SESessionObject

      public interface UserProperties

  Interface to keep user properties.

  User properties are not removed on state reset.

  Author:
    bmalkow

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `getUserProperty(String key)` Get user property.
    `UserProperties` | `setUserProperty(String key, Object value)` Set user property.

- - ### Method Detail

    - #### getUserProperty

          <T> T getUserProperty(String key)

      Get user property.
      Parameters:
        `key` - property name
      Returns:
        property or `null` if property isn't set.

    - #### setUserProperty

          UserProperties setUserProperty(String key,
                                         Object value)

      Set user property.
      Parameters:
        `key` - property name
        `value` - property value. `null` to unset property
      Returns:
        instance of `this` UserProperties

Copyright © 2006–2020 Tigase. All rights reserved.